Update claim
curl --request PATCH \
--url https://api.korint.io/claims/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'tenant: <tenant>' \
--data '
{
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"responsibility": "<string>",
"category": "<string>",
"reserve": 123,
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.korint.io/claims/{id}"
payload = {
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"responsibility": "<string>",
"category": "<string>",
"reserve": 123,
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
tenant: '<tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customFields: [{key: '<string>', value: '<string>'}],
name: '<string>',
description: '<string>',
occurredAt: '2023-11-07T05:31:56Z',
createdAt: '2023-11-07T05:31:56Z',
responsibility: '<string>',
category: '<string>',
reserve: 123,
metadata: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://api.korint.io/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"occurredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"id": "<string>",
"externalId": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"responsibility": "<string>",
"category": "<string>",
"reserve": 123
}claims
Update claim
PATCH
/
claims
/
{id}
Update claim
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Body
application/json
custom fields per product
Show child attributes
Show child attributes
Optional: Name of the entity
the amount of money that an insurance company sets aside to cover
metadata assigned to the object
Show child attributes
Show child attributes
Response
metadata assigned to the object
Show child attributes
Show child attributes
Pattern:
^claim(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$custom fields per product
Show child attributes
Show child attributes
Optional: Name of the entity
the amount of money that an insurance company sets aside to cover
Was this page helpful?
⌘I

